function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React, { Component } from "react";
import { AuthContext } from "../../../contexts/auth";
export class DummyAuthenticationProvider extends Component {
  constructor(props) {
    super(props);
    _defineProperty(this, "fetchAuthed", (url, settings) => {
      return fetch(url, settings);
    });
    _defineProperty(this, "login", credentials => {
      this.setState({
        isRefreshing: true,
        hasAuthenticated: true,
        userData: {
          username: credentials.email
        }
      });
    });
    _defineProperty(this, "logout", () => {
      this.setState({
        isRefreshing: false,
        hasAuthenticated: false,
        userData: undefined
      });
    });
    _defineProperty(this, "hasAuthenticated", () => {
      return this.state.hasAuthenticated;
    });
    _defineProperty(this, "getUserData", () => {
      return this.state.userData?.groups;
    });
    _defineProperty(this, "isRefreshing", () => {
      return this.state.isRefreshing;
    });
    this.state = {
      hasAuthenticated: false,
      userData: undefined,
      isRefreshing: false
    };
  }
  render() {
    return /*#__PURE__*/React.createElement(AuthContext.Provider, {
      value: Object.assign({
        ...this.state,
        hasAuthenticated: this.hasAuthenticated,
        login: this.login,
        logout: this.logout,
        getUserData: this.getUserData,
        fetchAuthed: this.fetchAuthed,
        isRefreshing: this.isRefreshing
      }, this.props.additionalContextValues)
    }, this.props.children);
  }
}