/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * This hook takes in an array of styles which should be applied and generates an array of classes and styles
 * (like backgroundColor) out of it. For this the hook uses the provided maps. If applyAllStyles is
 * passed, the hook will return classes and styles for all style options of allStyles.
 * @param allStyles
 * @param classesMap
 * @param stylesMap
 * @param appliedStyles
 * @param applyAllStyles
 * @returns
 */
export declare const useStyleMap: <T extends {
    [key: string]: string;
}>(classesMap?: Partial<Record<keyof T, string | number>>, stylesMap?: Partial<Record<keyof T, object>>, appliedStyles?: T[keyof T][], styleDependencies?: {
    [key: string]: T[keyof T][];
}) => [string, object];
