/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React, { useContext } from "react";
import { ColorSettingsContext } from "../../contexts/colorsettings";
import { useTranslator } from "../internationalization/translators";
import "../css/globalColors.css";
export const ImprintText = () => {
  const t = useTranslator();
  const colorSettingsContext = useContext(ColorSettingsContext);
  return /*#__PURE__*/React.createElement("div", {
    className: colorSettingsContext?.darkmode ? "bg-grey-6 color-white" : "bg-white-1 color-black"
  }, /*#__PURE__*/React.createElement("p", {
    className: "font-bold"
  }, t("Imprint")), /*#__PURE__*/React.createElement("span", null, "Max Mustermann, Musterunternehmen"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Musterstra\xDFe 1"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "12345 Musterstadt"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Germany")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Tel.: +49 123 456789"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Fax: +49 123 456789-99"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", {
    lang: "EN-GB"
  }, "E-Mail: kontakt[at]musterunternehmen.com"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Internet"), ":", " ", /*#__PURE__*/React.createElement("a", {
    href: "http://www.musterunternehmen.com",
    className: colorSettingsContext?.darkmode ? "color-blue-3" : ""
  }, "www.musterunternehmen.com")), " ", /*#__PURE__*/React.createElement("br", null), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Headquarter"), ": Musterstadt"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Register_court"), ": Amtsgericht Musterstadt"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Registration_number"), ": HRB 123456"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("USt_Ident_Number"), ": DE 123456789"), " ", /*#__PURE__*/React.createElement("br", null), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Managing_directors")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Max Mustermann (", t("Chairman"), ")"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Erika Mustermann"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Hans Beispiel"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Chairman_supervisory_board")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Dr. Johann Muster"), " ", /*#__PURE__*/React.createElement("br", null));
};