/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import React from "react";
import { HeaderOptions } from "./header/header";
import { SettingsMenuOptions } from "./header/settingsMenu";
import { TabAndContentWrapper } from "./navbar/wrappers/typesWrappers";
import { UserMenuOptions } from "./header/userMenu";
interface MainViewProps {
    tabAndContentWrappers: TabAndContentWrapper[];
    documentsComponent?: React.ComponentType<any>;
    documentsLabelKey?: string;
    hideLegalDocuments?: boolean;
    headerOptions?: HeaderOptions;
    settingsMenuOptions?: SettingsMenuOptions;
    userMenuOptions?: UserMenuOptions;
    hideNavbar?: boolean;
}
export declare const MainView: (props: MainViewProps) => import("react/jsx-runtime").JSX.Element;
export {};
