/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React from "react";
import { Header } from "./header/header";
import { Navbar } from "./navbar/navbar";
import { DefaultImprint } from "./imprint/defaultImprint";
import { Outlet, Route, Routes } from "react-router-dom";
import If from "./helper/If";
export const MainView = props => {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: "flex",
      flexDirection: "column",
      height: "100%",
      bottom: "0"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      flex: "0 0 auto"
    }
  }, /*#__PURE__*/React.createElement(Header, {
    headerOptions: props.headerOptions,
    settingsMenuOptions: props.settingsMenuOptions,
    userMenuOptions: props.userMenuOptions
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      display: "flex",
      flex: "1 1 auto",
      overflow: "auto"
    }
  }, /*#__PURE__*/React.createElement(If, {
    condition: !props.hideNavbar
  }, /*#__PURE__*/React.createElement(Navbar, {
    tabAndContentWrappers: props.tabAndContentWrappers,
    documentsLabelKey: props.documentsLabelKey,
    hideLegalDocuments: props.hideLegalDocuments
  })), /*#__PURE__*/React.createElement(Outlet, null), /*#__PURE__*/React.createElement(Routes, null, props.tabAndContentWrappers.map(wrapper => wrapper.getRoutes()), /*#__PURE__*/React.createElement(Route, {
    path: "/documents",
    element: props.documentsComponent ? /*#__PURE__*/React.createElement(props.documentsComponent, null) : /*#__PURE__*/React.createElement(DefaultImprint, null)
  }))));
};