function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React from "react";
import { Route } from "react-router";
import { generateHash } from "../../../utils/hash";

/**
 * This class is the base for all simple content wrappers.
 */
export class ContentWrapperGeneralization {
  constructor(_path, _component) {
    this._path = _path;
    this._component = _component;
    // Generate unique key based on the view's url.
    _defineProperty(this, "getKey", () => {
      return generateHash(this._path);
    });
    _defineProperty(this, "getRoutes", () => {
      return [/*#__PURE__*/React.createElement(Route, {
        key: this.getKey(),
        path: `${this._path}*`,
        element: /*#__PURE__*/React.createElement(this._component, null)
      })];
    });
  }
}